There was a Problem Running ImageLoader.exe

Version 5

    Environment

    AvalancheMC or AvalancheSE 5.x Installations on Windows using postgres database.

     

     

    Problem

    Avalanche install aborts and displays the message "There was a Problem Running ImageLoader.exe". You may also see this error "There was a Problem Running ImageLoader.exe" in the install log. The Postgresql database may or may not have installed correctly depending on the cause of the issue.

     

     

    Solution

    There are two possible causes of this error.

    1. You have an older version (older than 6x) of Java installed that is not supported by Avalanche MC/SE. Avalanche MC/SE installs a JRE to use but if you have an older JRE or JDK installed, it may detect this and attempt to use that instead, causing the error. In this case, the fastest solution is to update your JRE or JDK and run the Avalanche install again.

    2. There is an issue with installing postgres that can occur when you have more than one user on your PC with the same username. For example if you were logged in as [email protected] and you also have a local user named jdoe or a jdoe user that is part of a different domain, the postgres install might fail. Try running the Avalanche install when logged in as one of the different users or delete the user that has the same username and try the install again.

    3. You may be attempting to install Avalanche on an unsupported OS.  Avalanche 5.3.x supports the following OS versions: Windows XP Professional 32 bit,Windows Vista 32 or 64 bit, Windows 2003 Server 32 bit, Windows 2008 Server 32 or 64 bit, Windows 2008 Server R2 32 or 64 bit, Windows 7 32 or 64 bit